D-Bus: DBusAuth Struct Reference

D-Bus 1.14.8

Data Fields
DBusAuth Struct Reference
D-Bus secret internal implementation details » Authentication implementation details

Internal members of DBusAuth. More...

## Data Fields
int | refcount
| reference count
const char * | side
| Client or server.
DBusString | incoming
| Incoming data buffer.
DBusString | outgoing
| Outgoing data buffer.
const DBusAuthStateData * | state
| Current protocol state.
const DBusAuthMechanismHandler * | mech
| Current auth mechanism.
DBusString | identity
| Current identity we're authorizing as.
DBusCredentials * | credentials
| Credentials read from socket.
DBusCredentials * | authorized_identity
| Credentials that are authorized.
DBusCredentials * | desired_identity
| Identity client has requested.
DBusString | context
| Cookie scope.
DBusKeyring * | keyring
| Keyring for cookie mechanism.
int | cookie_id
| ID of cookie to use.
DBusString | challenge
| Challenge sent to client.
char ** | allowed_mechs
| Mechanisms we're allowed to use, or NULL if we can use any.
unsigned int | needed_memory: 1
| We needed memory to continue since last successful getting something done.
unsigned int | already_got_mechanisms: 1
| Client already got mech list.
unsigned int | already_asked_for_initial_response: 1
| Already sent a blank challenge to get an initial response.
unsigned int | buffer_outstanding: 1
| Buffer is "checked out" for reading data into.
unsigned int | unix_fd_possible: 1
| This side could do unix fd passing.
unsigned int | unix_fd_negotiated: 1
| Unix fd was successfully negotiated.

## Detailed Description

Internal members of DBusAuth.

Definition at line 153 of file dbus-auth.c.

## Field Documentation

## ◆ allowed_mechs

char** DBusAuth::allowed_mechs

Mechanisms we're allowed to use, or NULL if we can use any.

Definition at line 181 of file dbus-auth.c.

Referenced by _dbus_auth_set_mechanisms(), and _dbus_auth_unref().

## ◆ already_asked_for_initial_response

unsigned int DBusAuth::already_asked_for_initial_response

Already sent a blank challenge to get an initial response.

Definition at line 189 of file dbus-auth.c.

## ◆ already_got_mechanisms

unsigned int DBusAuth::already_got_mechanisms

Client already got mech list.

Definition at line 188 of file dbus-auth.c.

## ◆ authorized_identity

DBusCredentials* DBusAuth::authorized_identity

Credentials that are authorized.

Definition at line 172 of file dbus-auth.c.

Referenced by _dbus_auth_get_identity(), and _dbus_auth_unref().

## ◆ buffer_outstanding

unsigned int DBusAuth::buffer_outstanding

Buffer is "checked out" for reading data into.

Definition at line 190 of file dbus-auth.c.

Referenced by _dbus_auth_get_buffer(), and _dbus_auth_return_buffer().

## ◆ challenge

DBusString DBusAuth::challenge

Challenge sent to client.

Definition at line 179 of file dbus-auth.c.

Referenced by _dbus_auth_unref().

## ◆ context

DBusString DBusAuth::context

Cookie scope.

Definition at line 176 of file dbus-auth.c.

Referenced by _dbus_auth_set_context(), and _dbus_auth_unref().

## ◆ cookie_id

int DBusAuth::cookie_id

ID of cookie to use.

Definition at line 178 of file dbus-auth.c.

## ◆ credentials

DBusCredentials* DBusAuth::credentials

Credentials read from socket.

Definition at line 169 of file dbus-auth.c.

Referenced by _dbus_auth_set_credentials(), and _dbus_auth_unref().

## ◆ desired_identity

DBusCredentials* DBusAuth::desired_identity

Identity client has requested.

Definition at line 174 of file dbus-auth.c.

Referenced by _dbus_auth_unref().

## ◆ identity

DBusString DBusAuth::identity

Current identity we're authorizing as.

Definition at line 165 of file dbus-auth.c.

Referenced by _dbus_auth_unref().

## ◆ incoming

DBusString DBusAuth::incoming

Incoming data buffer.

Definition at line 158 of file dbus-auth.c.

Referenced by _dbus_auth_delete_unused_bytes(), _dbus_auth_do_work(), _dbus_auth_get_buffer(), _dbus_auth_get_unused_bytes(), _dbus_auth_return_buffer(), and _dbus_auth_unref().

## ◆ keyring

DBusKeyring* DBusAuth::keyring

Keyring for cookie mechanism.

Definition at line 177 of file dbus-auth.c.

Referenced by _dbus_auth_unref().

## ◆ mech

const DBusAuthMechanismHandler* DBusAuth::mech

Current auth mechanism.

Definition at line 163 of file dbus-auth.c.

Referenced by _dbus_auth_decode_data(), _dbus_auth_encode_data(), _dbus_auth_needs_decoding(), and _dbus_auth_needs_encoding().

## ◆ needed_memory

unsigned int DBusAuth::needed_memory

We needed memory to continue since last successful getting something done.

Definition at line 185 of file dbus-auth.c.

Referenced by _dbus_auth_do_work().

## ◆ outgoing

DBusString DBusAuth::outgoing

Outgoing data buffer.

Definition at line 159 of file dbus-auth.c.

Referenced by _dbus_auth_bytes_sent(), _dbus_auth_do_work(), _dbus_auth_get_bytes_to_send(), and _dbus_auth_unref().

## ◆ refcount

int DBusAuth::refcount

reference count

Definition at line 155 of file dbus-auth.c.

Referenced by _dbus_auth_ref(), and _dbus_auth_unref().

## ◆ side

const char* DBusAuth::side

Client or server.

Definition at line 156 of file dbus-auth.c.

Referenced by _dbus_auth_client_new(), and _dbus_auth_server_new().

## ◆ state

const DBusAuthStateData* DBusAuth::state

Current protocol state.

Definition at line 161 of file dbus-auth.c.

Referenced by _dbus_auth_client_new(), _dbus_auth_decode_data(), _dbus_auth_do_work(), _dbus_auth_encode_data(), _dbus_auth_get_guid_from_server(), _dbus_auth_get_identity(), _dbus_auth_needs_decoding(), _dbus_auth_needs_encoding(), and _dbus_auth_server_new().

## ◆ unix_fd_negotiated

unsigned int DBusAuth::unix_fd_negotiated

Unix fd was successfully negotiated.

Definition at line 193 of file dbus-auth.c.

Referenced by _dbus_auth_get_unix_fd_negotiated().

## ◆ unix_fd_possible

unsigned int DBusAuth::unix_fd_possible

This side could do unix fd passing.

Definition at line 192 of file dbus-auth.c.

Referenced by _dbus_auth_set_unix_fd_possible().

The documentation for this struct was generated from the following file:

- dbus-auth.c